Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160094 - [RHEL4] Keyring support - os level utilities / manpage / helper libs
Summary: [RHEL4] Keyring support - os level utilities / manpage / helper libs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Howells
QA Contact:
URL:
Whiteboard:
Depends On: 130914
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-10 18:48 UTC by Tim Burke
Modified: 2018-10-19 20:59 UTC (History)
4 users (show)

Fixed In Version: RHEA-2005-643
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 15:27:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:643 qe-ready SHIPPED_LIVE keyutils enhancement update 2005-10-05 04:00:00 UTC

Description Tim Burke 2005-06-10 18:48:25 UTC
Keyring support in U2 is a big ticket item for MSDW.  There's a separate
bugzilla tracking the kernel side, bug #130914.  There's also a glibc related
item, bug #160089.

Here's DavidH's notes on whats needed:

(2) Extra tools

	The keyctl and request-key tools need including in the distribution,
	along with the /etc/request-key.conf configuration file, the
	libkeyutil library and manual pages.

------------------

Currently its unclear which package this should go into. Probably a new one.
Until that gets sorted out, throwing it onto the distribution package.

Comment 2 David Howells 2005-06-13 09:37:32 UTC
There are two things: 
 
 (1) Only i386/ppc/ppc64 archs are supported by the userspace tools. This can 
     be dealt with by glibc providing syscall support for all requisite archs 
     or we'll have to extend the libkeyutil library. 
 
 (2) I haven't actually written any manual pages yet. I have most of the 
     userspace C interface docs in the form of a text file 
     (Documentation/keys.txt in the kernel sources), but none of the utility 
     manual pages. 
 
Beyond that, it's just a matter of packaging. 

Comment 11 Red Hat Bugzilla 2005-10-05 15:27:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-643.html



Note You need to log in before you can comment on or make changes to this bug.